Bug 837028 - Issues building gnuradio-3.6.1-1.fc18 due to asm build issues on ARM
Issues building gnuradio-3.6.1-1.fc18 due to asm build issues on ARM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnuradio (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-07-02 10:41 EDT by Peter Robinson
Modified: 2012-07-13 11:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 11:19:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed fix sent upstream (1.50 KB, patch)
2012-07-13 10:17 EDT, Jaroslav Škarvada
no flags Details | Diff

  None (edit)
Description Peter Robinson 2012-07-02 10:41:22 EDT
http://arm.koji.fedoraproject.org/taskinfo?taskID=937872

{standard input}: Assembler messages:
{standard input}:38: Error: selected FPU does not support instruction -- `vmov.f32 q8,#0.0'
{standard input}:39: Error: selected FPU does not support instruction -- `vmov.f32 q9,#0.0'
{standard input}:44: Error: selected FPU does not support instruction -- `vmla.f32 q8,q0,q2'
{standard input}:45: Error: selected FPU does not support instruction -- `vmla.f32 q9,q1,q3'
{standard input}:47: Error: selected FPU does not support instruction -- `vadd.f32 q8,q8,q9'
{standard input}:48: Error: selected processor does not support ARM mode `vpadd.f32 d0,d16,d17'
Comment 1 Jaroslav Škarvada 2012-07-11 10:39:58 EDT
NEON optimization, otherwise it is too slow :) It has to be removed for -mfpu=vfpv3-d16
Comment 2 Jaroslav Škarvada 2012-07-13 10:17:38 EDT
Created attachment 598081 [details]
Proposed fix sent upstream

Note You need to log in before you can comment on or make changes to this bug.